Subject: Re: bug#37158: 27.0.50; Build failure (MSYS2, master)

From: Richard Copley <[email-masked]>
Date: Fri, 23 Aug 2019 13:40:17 +0100

On Fri, 23 Aug 2019 at 13:28, Robert Pluim <[email-masked]> wrote:

> >>>>> On Fri, 23 Aug 2019 12:50:33 +0100, Richard Copley <
> [email-masked]> said:
>
>     Richard> In master, on MSYS2, the build is failing. See transcript
> below in a
>     Richard> pristine working tree.
>
>     Richard>   CCLD     temacs.exe
>     Richard>
> C:/msys64/mingw64/bin/../lib/gcc/x86_64-w64-mingw32/9.2.0/../../../../x86_64-w64-mingw32/bin/ld.exe:
>     Richard> process.o:process.c:(.text+0xe3b): undefined reference to
> `make_number'
>     Richard> process.o:process.c:(.text+0xe3b): relocation truncated to
> fit:
>     Richard> R_X86_64_PC32 against undefined symbol `make_number'
>     Richard> collect2.exe: error: ld returned 1 exit status
>     Richard> make[1]: *** [Makefile:651: temacs.exe] Error 1
>     Richard> make[1]: Leaving directory '/c/projects/emacs/src'
>     Richard> make: *** [Makefile:424: src] Error 2
>
> Should be fixed in master.
>
> Robert
>

 Seems so. Dumped ok and byte-compiling lisp files now. Thanks.